# Advanced Objects

## Operator Overloding 

There are bunch of operators which are possible to overload.
They are grouped into Comparison, Arithmetic, Logical operators. 



### Comparison 

### Arithmetic

### Logical   

## Iteration 


## Eventing   
